%define tarname Pygments
%define module	pygments

Summary:	Syntax highlighting package written in Python

Name:		python-%{module}
Version:	2.0.2
Release:	1
Group:		Development/Python
License:	BSD
Url:		http://pygments.org/
Source0:	http://pypi.python.org/packages/source/P/%{tarname}/%{tarname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:  python-devel
Requires:	python-pkg-resources

%description
Pygments is a syntax highlighting package written in Python.  It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.  Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences
* it is usable as a command-line tool and as a library
* ... and it highlights even Brainf*ck!

%prep
%setup -qn %{tarname}-%{version}

%build
python setup.py build

%install
PYTHONDONTWRITEBYTECODE= python setup.py install --skip-build --root=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/pygmentize.1 %{buildroot}%{_mandir}/man1

%files
%doc AUTHORS CHANGES LICENSE TODO
%{_bindir}/pygmentize
%{py_puresitedir}/pygments/*
%{py_puresitedir}/Pygments-*
%{_mandir}/man1/pygmentize.*

%changelog

* Wed Oct 14 2015 Denis Silakov <dsilakov@gmail.com> 2.0.2-1
- (e8cff72) Updated to 2.0.2


